package com.hai.dao;

import com.hai.entity.HighApprove;
import com.hai.entity.HighApproveExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighApproveMapper extends HighApproveMapperExt {
    @SelectProvider(type=HighApproveSqlProvider.class, method="countByExample")
    long countByExample(HighApproveExample example);

    @DeleteProvider(type=HighApproveSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighApproveExample example);

    @Delete({
        "delete from high_approve",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_approve (object_type, object_id, ",
        "object_name, approve_serial_no, ",
        "remarks, `status`, ",
        "create_time, update_time, ",
        "submit_operator_id, submit_operator_name, ",
        "approve_operator_id, approve_operator_name, ",
        "ext_1, ext_2, ext_3, ",
        "approve_object)",
        "values (#{objectType,jdbcType=INTEGER}, #{objectId,jdbcType=BIGINT}, ",
        "#{objectName,jdbcType=VARCHAR}, #{approveSerialNo,jdbcType=VARCHAR}, ",
        "#{remarks,jdbcType=VARCHAR}, #{status,jdbcType=INTEGER}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{updateTime,jdbcType=DATE}, ",
        "#{submitOperatorId,jdbcType=BIGINT}, #{submitOperatorName,jdbcType=VARCHAR}, ",
        "#{approveOperatorId,jdbcType=BIGINT}, #{approveOperatorName,jdbcType=VARCHAR}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR}, ",
        "#{approveObject,jdbcType=LONGVARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighApprove record);

    @InsertProvider(type=HighApproveSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighApprove record);

    @SelectProvider(type=HighApproveSqlProvider.class, method="selectByExampleWithBLOBs")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="object_type", property="objectType", jdbcType=JdbcType.INTEGER),
        @Result(column="object_id", property="objectId", jdbcType=JdbcType.BIGINT),
        @Result(column="object_name", property="objectName", jdbcType=JdbcType.VARCHAR),
        @Result(column="approve_serial_no", property="approveSerialNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="remarks", property="remarks", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.DATE),
        @Result(column="submit_operator_id", property="submitOperatorId", jdbcType=JdbcType.BIGINT),
        @Result(column="submit_operator_name", property="submitOperatorName", jdbcType=JdbcType.VARCHAR),
        @Result(column="approve_operator_id", property="approveOperatorId", jdbcType=JdbcType.BIGINT),
        @Result(column="approve_operator_name", property="approveOperatorName", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR),
        @Result(column="approve_object", property="approveObject", jdbcType=JdbcType.LONGVARCHAR)
    })
    List<HighApprove> selectByExampleWithBLOBs(HighApproveExample example);

    @SelectProvider(type=HighApproveSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="object_type", property="objectType", jdbcType=JdbcType.INTEGER),
        @Result(column="object_id", property="objectId", jdbcType=JdbcType.BIGINT),
        @Result(column="object_name", property="objectName", jdbcType=JdbcType.VARCHAR),
        @Result(column="approve_serial_no", property="approveSerialNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="remarks", property="remarks", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.DATE),
        @Result(column="submit_operator_id", property="submitOperatorId", jdbcType=JdbcType.BIGINT),
        @Result(column="submit_operator_name", property="submitOperatorName", jdbcType=JdbcType.VARCHAR),
        @Result(column="approve_operator_id", property="approveOperatorId", jdbcType=JdbcType.BIGINT),
        @Result(column="approve_operator_name", property="approveOperatorName", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighApprove> selectByExample(HighApproveExample example);

    @Select({
        "select",
        "id, object_type, object_id, object_name, approve_serial_no, remarks, `status`, ",
        "create_time, update_time, submit_operator_id, submit_operator_name, approve_operator_id, ",
        "approve_operator_name, ext_1, ext_2, ext_3, approve_object",
        "from high_approve",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="object_type", property="objectType", jdbcType=JdbcType.INTEGER),
        @Result(column="object_id", property="objectId", jdbcType=JdbcType.BIGINT),
        @Result(column="object_name", property="objectName", jdbcType=JdbcType.VARCHAR),
        @Result(column="approve_serial_no", property="approveSerialNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="remarks", property="remarks", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.DATE),
        @Result(column="submit_operator_id", property="submitOperatorId", jdbcType=JdbcType.BIGINT),
        @Result(column="submit_operator_name", property="submitOperatorName", jdbcType=JdbcType.VARCHAR),
        @Result(column="approve_operator_id", property="approveOperatorId", jdbcType=JdbcType.BIGINT),
        @Result(column="approve_operator_name", property="approveOperatorName", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR),
        @Result(column="approve_object", property="approveObject", jdbcType=JdbcType.LONGVARCHAR)
    })
    HighApprove selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighApproveSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighApprove record, @Param("example") HighApproveExample example);

    @UpdateProvider(type=HighApproveSqlProvider.class, method="updateByExampleWithBLOBs")
    int updateByExampleWithBLOBs(@Param("record") HighApprove record, @Param("example") HighApproveExample example);

    @UpdateProvider(type=HighApproveSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighApprove record, @Param("example") HighApproveExample example);

    @UpdateProvider(type=HighApproveSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighApprove record);

    @Update({
        "update high_approve",
        "set object_type = #{objectType,jdbcType=INTEGER},",
          "object_id = #{objectId,jdbcType=BIGINT},",
          "object_name = #{objectName,jdbcType=VARCHAR},",
          "approve_serial_no = #{approveSerialNo,jdbcType=VARCHAR},",
          "remarks = #{remarks,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=DATE},",
          "submit_operator_id = #{submitOperatorId,jdbcType=BIGINT},",
          "submit_operator_name = #{submitOperatorName,jdbcType=VARCHAR},",
          "approve_operator_id = #{approveOperatorId,jdbcType=BIGINT},",
          "approve_operator_name = #{approveOperatorName,jdbcType=VARCHAR},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR},",
          "approve_object = #{approveObject,jdbcType=LONGVARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKeyWithBLOBs(HighApprove record);

    @Update({
        "update high_approve",
        "set object_type = #{objectType,jdbcType=INTEGER},",
          "object_id = #{objectId,jdbcType=BIGINT},",
          "object_name = #{objectName,jdbcType=VARCHAR},",
          "approve_serial_no = #{approveSerialNo,jdbcType=VARCHAR},",
          "remarks = #{remarks,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=DATE},",
          "submit_operator_id = #{submitOperatorId,jdbcType=BIGINT},",
          "submit_operator_name = #{submitOperatorName,jdbcType=VARCHAR},",
          "approve_operator_id = #{approveOperatorId,jdbcType=BIGINT},",
          "approve_operator_name = #{approveOperatorName,jdbcType=VARCHAR},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighApprove record);
}